/**
 * @file
 * Vue app for cart.
 */

(function ($) {
  "use strict";
  console.log('custom/syncart/favorite-small.js');

  Vue.component('favorite-small', {
    data() {
      return {
        total: 0,
        ready: false,
      }
    },
    methods: {
      initFavorite() {
        var favorites = this.$cookies.get('favorites');
        if (typeof(favorites) !== 'object' || favorites == null) {
          favorites = {};
        }
        this.total = Object.keys(favorites).length;
        this.ready = true;
      }
    },
    created() {
      this.initFavorite();
      var $this = this;
      this.$root.$on('update_favorite', (total) => {
        $this.total = total;
      });
    }
  });


})(this.jQuery);
